# Uses of Class
net.sf.statcvs.model.Author

Packages that use Author
Package
Description
net.sf.statcvs.charts
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.
net.sf.statcvs.model
Classes providing a representation of all log data in a repository.
net.sf.statcvs.output
net.sf.statcvs.pages
net.sf.statcvs.pages.xml
net.sf.statcvs.renderer
net.sf.statcvs.reports

## Uses of Author in net.sf.statcvs.charts

Constructors in net.sf.statcvs.charts with parameters of type Author
Modifier
Constructor
Description
``
`CodeDistributionChartMaker(ReportConfig config, Author author)`

## Uses of Author in net.sf.statcvs.input

Methods in net.sf.statcvs.input that return Author
Modifier and Type
Method
Description
`Author`
Builder.`getAuthor(String name)`
returns the `Author` of the given name or creates it if it does not yet exist.

## Uses of Author in net.sf.statcvs.model

Methods in net.sf.statcvs.model that return Author
Modifier and Type
Method
Description
`Author`
Commit.`getAuthor()`
Returns the author of the commit.
`Author`
Revision.`getAuthor()`
Returns the author of this revision.
Methods in net.sf.statcvs.model with parameters of type Author
Modifier and Type
Method
Description
`Revision`
VersionedFile.`addChangeRevision(String revisionNumber, Author author, Date date, String comment, int lines, int linesDelta, int replacedLines, SortedSet symbolicNames)`
Adds a change revision to the file.
`Revision`
VersionedFile.`addDeletionRevision(String revisionNumber, Author author, Date date, String comment, int lines, SortedSet symbolicNames)`
Adds a deletion revision to the file.
`Revision`
VersionedFile.`addInitialRevision(String revisionNumber, Author author, Date date, String comment, int lines, SortedSet symbolicNames)`
Adds an initial revision to the file.
`boolean`
VersionedFile.`hasAuthor(Author author)`
Returns true, if `author` worked on this file.
Constructors in net.sf.statcvs.model with parameters of type Author
Modifier
Constructor
Description
``
`Revision(VersionedFile file, String revisionNumber, int type, Author author, Date date, String comment, int lines, int linesDelta, int linesReplaced, SortedSet symbolicNames)`
Creates a new revision of a file with the specified revision number.

## Uses of Author in net.sf.statcvs.output

Methods in net.sf.statcvs.output with parameters of type Author
Modifier and Type
Method
Description
`boolean`
ReportConfig.`isDeveloper(Author author)`

## Uses of Author in net.sf.statcvs.pages

Methods in net.sf.statcvs.pages with parameters of type Author
Modifier and Type
Method
Description
`static String`
TwitterHelp.`buildDeveloperLink(Author developer, String loc, Repository repository, ReportConfig config)`
`static String`
TwitterHelp.`buildDeveloperOfMonthLink(Author developer, int loc, Repository repository, String month_year, ReportConfig config)`
`static String`
HTML.`getAuthorIdLink(Author author)`
Returns HTML code for a link to an author Id page
`static String`
HTML.`getAuthorLink(Author author)`
Returns HTML code for a link to an author page
`static String`
DeveloperPageMaker.`getURL(Author developer)`
Constructors in net.sf.statcvs.pages with parameters of type Author
Modifier
Constructor
Description
``
`DeveloperPageMaker(ReportConfig config, Author developer)`

## Uses of Author in net.sf.statcvs.pages.xml

Methods in net.sf.statcvs.pages.xml with parameters of type Author
Modifier and Type
Method
Description
`static String`
XML.`getAuthorIdLink(Author author)`
Returns HTML code for a link to an author Id page
`static String`
XML.`getAuthorLink(Author author)`
Returns HTML code for a link to an author page

## Uses of Author in net.sf.statcvs.renderer

Methods in net.sf.statcvs.renderer with parameters of type Author
Modifier and Type
Method
Description
`void`
HTMLTableCellRenderer.`renderAuthorCell(Author author)`
Render a cell containing an author to HTML
`void`
TableCellRenderer.`renderAuthorCell(Author author)`
Render a cell containing an author
`void`
XMLRenderer.`renderAuthorCell(Author author)`
Render a cell containing an author to XML
`void`
HTMLTableCellRenderer.`renderAuthorIdCell(Author author)`
Render a cell containing an author Id to HTML
`void`
TableCellRenderer.`renderAuthorIdCell(Author author)`
Render a cell containing an author Id
`void`
XMLRenderer.`renderAuthorIdCell(Author author)`

## Uses of Author in net.sf.statcvs.reports

Constructors in net.sf.statcvs.reports with parameters of type Author
Modifier
Constructor
Description
``
`DirectoriesForAuthorTableReport(ReportConfig config, Author author)`
Creates a table report containing directories to which a specified author has committed changes, and their respective number of changes and LOC.